Détails d'un SMS
curl --request GET \
--url https://api.notiline.net/v1/sms/out/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notiline.net/v1/sms/out/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notiline.net/v1/sms/out/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "succès",
"data": {
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uniq_id": "<string>",
"external_id": "<string>",
"message_price_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"lot": "<string>",
"sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"page": "<string>",
"message_encoding": "<string>",
"amount": 123,
"send_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"mccmnc": "<string>",
"dlr_number_retry": 123,
"provider": "<string>",
"provider_id": "<string>",
"provider_status": "<string>",
"source": "<string>",
"status": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_url": "<string>",
"webhook_response": "<string>",
"retrieve": true,
"local_number": "<string>",
"language": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"message_price": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"amount": 123
},
"sender": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
}
}
}{
"status": 404,
"message": "Non trouvé",
"errors": [
"<string>"
]
}SMS
Détails d'un SMS
Obtenir un SMS unique par ID ou lot
GET
/
sms
/
out
/
{id}
Détails d'un SMS
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
ID ou lot du message
⌘I